/*
 * #01 - General 
 * #02 - Masthead
 * #03 - Header
 * #04 - Navigation
 * #05 - Content (Note: Anything within the content
 *				  area should be in layout_content.css)  
 * #06 - Footer
 * #07 - Other 
 */

/* #01 - GENERAL **************************************************************/

* { margin: 0;  padding: 0; }

html
{
	/* footerStickAlt */
	height: 100%;
}

body
{
	/* centering */
	text-align: center;
	
	/* footerStickAlt */
	height: 100%;
	
	background: #f2efe2 url('//kifitness.ca/images/layout/nonfooter-bg.jpg') repeat-y 50% 0;
}

#nonfooter
{
	/* centering */
	margin: 0 auto;
	text-align: center;
	
	/* footerStickAlt */
	position: relative;
	min-height: 100%;
		    
	background: #f2efe2 url('//kifitness.ca/images/layout/nonfooter-bg.jpg') repeat-y 50% 0; /* see comment in #wrapper re: backgrounds */ 
}

* html #nonfooter
{
	/* footerStickAlt */
	height: 100%;
}

#wrapper
{
	/* centering */
	width: 960px;
	margin: 0 auto;
	
	/* footerStickAlt */
	padding-bottom: 270px; /* 210 for footer + 60 for good measure */
	overflow: hidden; /* required if #wrapper contains floats */
	
	text-align: left;
	/* if #wrapper contains content, set this as left.  Otherwise, if #wrapper
	 * will contain an inner-wrapper, set this as center.
	 */
	
	background: transparent;
	
	/* height of #wrapper does not stretch to full height of screen like
	 * #nonfooter does.  #nonfooter background image may need to contain #wrapper
	 * section and should repeat-y in order to give impression that #wrapper is
	 * full height of screen.
	 */ 
}

/* #02 - MASTHEAD *************************************************************/

#masthead
{
	/* should not contain content, only #inner-masthead */
	/* height determined by height of #inner-masthead */
	
	background: #faf9f4 url('//kifitness.ca/images/layout/masthead-bg.jpg') no-repeat 50% 0;
}

#inner-masthead
{
	/* centering */
	width: 960px;
	margin: 0 auto;
	
	height: 463px;
	overflow: hidden;
	
	text-align: left;
	background: transparent;
}

#im-top {
	height: 90px;
}

#im-header {
	/*height: 350px; no necessary */
	margin-top: 70px;
	text-align: center;
}

/* #03 - HEADER ***************************************************************/

#logo {
	display: block;
	float: left;
	width: 230px;
	height: 55px;
	text-indent: -9999px;
	background: transparent url('//kifitness.ca/images/layout/ki-fitness-and-health-logo.gif') 0 0 no-repeat;
	margin: 18px 0 0 25px;
}

/* #04 - NAVIGATION ***********************************************************/

#nav {
	display: block;
	float: right;
	width: 670px;
	height: 110px;
	margin-left: 0;
}

#nav li {
	display: block;
	height: 110px;
	float: left;
}

#nav li a {
	display: block;
	height: 110px;
	text-indent: -999px;
	overflow: hidden;
	background: transparent url('//kifitness.ca/images/layout/nav.jpg') no-repeat 0 0;
}

/* NAV - SERVICES */
#nav li#services-li { width: 91px; margin-left: 24px; }
#nav li a#services { width: 91px; background-position: -24px 0; }
body.grp-services #nav li a#services { background-position: -24px -220px; }
body #inner-masthead #nav li a#services:hover { background-position: -24px -110px; }

/* NAV - STUDIO */
#nav li#studio-li { width: 86px; margin-left: 13px; }
#nav li a#studio-a { width: 86px; background-position: -128px 0; }
body.grp-studio #nav li a#studio-a { background-position: -128px -220px; }
body #inner-masthead #nav li a#studio-a:hover { background-position: -128px -110px; }

/* NAV - RENTAL */
#nav li#rental-li { width: 102px; margin-left: 13px; }
#nav li a#rental { width: 102px; background-position: -227px 0; }
body.grp-rental #nav li a#rental { background-position: -227px -220px; }
body #inner-masthead #nav li a#rental:hover { background-position: -227px -110px; }

/* NAV - COMMUNITY */
#nav li#community-li { width: 114px; margin-left: 12px; }
#nav li a#community { width: 114px; background-position: -341px 0; }
body.grp-community #nav li a#community { background-position: -341px -220px; }
body #inner-masthead #nav li a#community:hover { background-position: -341px -110px; }

/* NAV - ABOUT */
#nav li#about-li { width: 88px; margin-left: 10px; }
#nav li a#about { width: 88px; background-position: -465px 0; }
body.grp-about #nav li a#about { background-position: -465px -220px; }
body #inner-masthead #nav li a#about:hover { background-position: -465px -110px; }

/* NAV - CONTACT */
#nav li#contact-li { width: 91px; margin-left: 14px; }
#nav li a#contact-a { width: 91px; background-position: -567px 0; }
body.grp-contact #nav li a#contact-a { background-position: -567px -220px; }
body #inner-masthead #nav li a#contact-a:hover { background-position: -567px -110px; }

/* #05 - CONTENT **************************************************************/

/* #06 - FOOTER ***************************************************************/

#footer
{
	/* should not contain content, only #inner-footer */
	/* if border-top is required, achieve this by adding border design to
	   background image, to avoid Disappearing Overflow bug */
	
	/* footerStickAlt */
	position: relative;
	height: 210px;
	background: #faf9f4 url('//kifitness.ca/images/layout/footer-bg.jpg') repeat 50% 0;
    clear: both;
}

#inner-footer
{
	/* centering */
	width: 960px;
	margin: 0 auto;
	
	height: 210px;
	overflow: hidden;
	
	background: transparent;
}

#inner-footer-top { height: 148px; margin-top: 36px; }
#inner-footer-bottom { height: 20px; margin-top: 4px; }

/* #07 - OTHER ****************************************************************/